package com.blueland.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.blueland.bo.AreaEntity;
import com.blueland.bo.AreaExpEntity;
import com.blueland.model.TArea;

import java.util.List;
import java.util.Map;

/**
 * @auther xcy
 * @create 2022-05-09 9:37
 */
public interface IAreaService extends IService<TArea> {

    Page<AreaEntity> getList(Map<String,Object> area, int curPage, int pageSize);

    void importAreaData(List<AreaExpEntity> data);

    TArea getbyid(String id);

    int updateArea(AreaEntity model);

    List<AreaEntity> queryArea();

    int insetArea(AreaEntity areaEntity);

    void deleteArea(String id);

    List<Map<String, Object>> areaTree();

}
